POST /api/v1/app-conversations
Request body
| Field | Type | Required | Description |
|---|
sandbox_id | `string | null` | no |
conversation_id | `string | null` | no |
initial_message | `SendMessageRequest | null` | no |
system_message_suffix | `string | null` | no |
processors | `EventCallbackProcessor-Input[] | null` | no |
llm_model | `string | null` | no |
agent_profile_id | `string | null` | no |
selected_repository | `string | null` | no |
selected_branch | `string | null` | no |
git_provider | `ProviderType | null` | no |
suggested_task | `SuggestedTask | null` | no |
title | `string | null` | no |
trigger | `ConversationTrigger | null` | no |
pr_number | integer[] | no | — |
parent_conversation_id | `string | null` | no |
agent_type | AgentType | no | — |
public | `boolean | null` | no |
observability_metadata | `object | null` | no |
observability_tags | `string[] | null` | no |
observability_span_name | `string | null` | no |
plugins | `PluginSpec[] | null` | no |
secrets | `object | null` | no |
Responses
| Status | Description |
|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|
id | string | no | — |
created_by_user_id | `string | null` | yes |
status | AppConversationStartTaskStatus | no | — |
detail | `string | null` | no |
app_conversation_id | `string | null` | no |
sandbox_id | `string | null` | no |
agent_server_url | `string | null` | no |
request | AppConversationStartRequest-Output | yes | — |
created_at | string | no | — |
updated_at | string | no | — |
Operation ID: start_app_conversation_api_v1_app_conversations_post